using System;

class MainClass {

  struct Frilenser
  {
    public int zarada;
    public double porez;
  }

  static void sortiranjeUmetanjem (Frilenser[] _niz)
  {
    for (int i = 1; i < _niz.Length; i++)
    {
      Frilenser k = _niz[i];
      int j = i - 1;
      while (j >= 0 && _niz[j].porez > k.porez)
      {
        _niz[j + 1] = _niz[j];
        j--;
      }
      _niz[j + 1] = k;
    }
  }

  public static void Main (string[] args) {
    int n = Convert.ToInt32(Console.ReadLine());
    Frilenser[] nizFrilensera = new Frilenser[n];
    string unos;
    string[] nizStringova;
    for (int i = 0; i < n; i++)
    {
      unos = Console.ReadLine();
      nizStringova = unos.Split();
      nizFrilensera[i].zarada = Convert.ToInt32(nizStringova[0]);
      nizFrilensera[i].porez = Convert.ToDouble(nizStringova[1]);
    }
    sortiranjeUmetanjem(nizFrilensera);
    double maxZarada = 0;
    double trenutnaZarada = 0;
    for (int i = 0; i < nizFrilensera.Length; i++)
    {
      for (int j = i; j < nizFrilensera.Length; j++)
      {
        trenutnaZarada += nizFrilensera[j].zarada * (nizFrilensera[i].porez / 100);
      }
      if (trenutnaZarada > maxZarada) maxZarada = trenutnaZarada;
      trenutnaZarada = 0;
    }
    Console.Write(maxZarada);
  }
}